Skip to content

Get a user's conversations

GET
/v2/health-navigator/users/{userId}/conversations
curl --request GET \
--url 'https://client-api.abi.ai/v2/health-navigator/users/abi1234/conversations?status=CLOSED' \
--header 'Authorization: Bearer <token>'
userId
required
string

The Abi identifier of the user account.

Example
abi1234
status
string

Optionally filter conversations by their current session status.

Example
CLOSED

The user’s Health Navigator conversations returned.

Media typeapplication/json
object
userId

Abi user identifier.

string
conversations

Conversation sessions belonging to the user.

Array<object>
object
conversationId

Conversation identifier.

string
sessionStatus

Current conversation lifecycle status.

string
Allowed values: OPEN WAITING_FOR_RESPONSE RESOLVED CLOSED
context

Partner-approved context saved with the session

object
key
additional properties
One of:
string
createdAt
string format: date-time
updatedAt
string format: date-time
Example
{
"userId": "abi12345",
"conversations": [
{
"conversationId": "01HK8GGQ123456789ABCDEFGHI",
"sessionStatus": "CLOSED",
"context": {
"policy": "standard",
"age": 30
},
"createdAt": "2025-08-28T10:12:00.000Z",
"updatedAt": "2025-08-28T10:16:22.000Z"
}
]
}

Request could not be completed.

Media typeapplication/json
object
code

Short machine-readable error code.

string
message

Human-readable explanation of the error.

string
Examplegenerated
{
"code": "example",
"message": "example"
}